Memos
User Service

Update User Webhook

UpdateUserWebhook updates an existing webhook for a user.

PATCH
/api/v1/users/{user}/webhooks/{webhook}

Path Parameters

user*string

The user id.

webhook*string

The webhook id.

Query Parameters

updateMask?string

The list of fields to update.

Formatfield-mask

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/users/string/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "url": "string",
  "displayName": "string",
  "createTime": "2019-08-24T14:15:22Z",
  "updateTime": "2019-08-24T14:15:22Z"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings